PUT
/v1/bridges/{bridgeArn}/sources/{sourceName}
http://mediaconnect.{region}.amazonaws.com/v1/bridges/{bridgeArn}/sources/{sourceName}Updates an existing bridge source.
Access Token Required: API Key
Path Parameters
bridgeArnstringrequired
The ARN of the bridge that you want to update.
sourceNamestringrequired
The name of the source that you want to update.
Body Params
flowSourceobject
Update the flow source of the bridge.
networkSourceobject
Update the network source of the bridge.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/bridges/{bridgeArn}/sources/{sourceName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}